var scriptName = "Extra Knockback"; 
var scriptVersion = 1.0; 
var scriptAuthor = "soulplexis";

var extraKnockback = new ExtraKnockback();
var extraKnockbackClient;

function ExtraKnockback() {
	
    this.getName = function() {
        return "ExtraKnockback";
    };

    this.getDescription = function() {
        return "Makes you take more knockback than normal.";
    };

    this.getCategory = function() {
        return "Combat";
    };

    this.onMotion = function() {
			if(mc.thePlayer.hurtTime > 0) {
			mc.thePlayer.motionX *= 1.05;
			mc.thePlayer.motionZ *= 1.05;
			mc.thePlayer.motionY *= 1.01;
			}
	}
	this.onDisable = function() {
		mc.timer.timerSpeed = 1.0;
	}
}

function onLoad() {
};

function onEnable() {
    extraKnockbackClient = moduleManager.registerModule(extraKnockback);
};

function onDisable() {
    moduleManager.unregisterModule(extraKnockbackClient);
};